Tags

Edit a tag

PATCH
/tags/{tag_id}

Update a tag owned by the caller. System-level tags are not editable.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Path Parameters

tag_id*string

Request Body

application/json
  1. body
name?|

New display name.

Defaultnull
color?|

New hex color, e.g. '#2E5A3B'.

Defaultnull

Response Body

Successful Response

application/json
  1. response
id*Id

Tag UUID.

name*Name

Display name.

color*Color

Hex color, e.g. '#2E5A3B'.

created_by*|

Email snapshot of the creator. Null for system tags.

created_at*Created At

ISO 8601 creation timestamp.

asset_count?|

Number of usable input assets bearing this tag, when requested.

Defaultnull
preview_thumbnails?array<string>|

Thumbnail URLs of the newest usable input assets bearing this tag, when requested.

Defaultnull
curl -X PATCH "https://example.com/tags/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "color": "string",  "created_by": "string",  "created_at": "string",  "asset_count": null,  "preview_thumbnails": null}